Foreman - Bug #26826

Plugin fails to compile webpack with out of memory error
05/19/2019 08:20 AM - Tomer Brisker

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: JavaScript stack
Target version: 1.23.0
Difficulty: Fixed in Releases: 1.21.4,1.22.1,1.23.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6769,
https://github.com/theforeman/foreman/p
ull/e771,
https://github.com/theforeman/foreman/p
ull/6952,
https://github.com/theforeman/foreman/p
ull/6956,
https://github.com/theforeman/foreman/p
ull/6957
Description

Katello build process is currently failing with:

[2019-05-17T22:52:44.7827%] /home/jenkins/workspace/katello-master—-source-release/foreman/node_modu
les/webpack/bin/webpack.js —-config /home/jenkins/workspace/katello-master—source-release/foreman/
config/webpack.config.js —--bail --env.pluginName=katello

[2019-05-17T22:58:36.386%]

[2019-05-17T22:58:36.388%Z] <—-—- Last few GCs ———>

[2019-05-17T22:58:36.3887]

[2019-05-17T22:58:36.3887%] 337446 ms: Mark-sweep 1219.4 (1438.7) —-> 1217.7 (1436.7) MB, 1841.7 /
0.0 ms [allocation failure] [GC in old space requested].
[2019-05-17T22:58:36.3887] 339438 ms: Mark-sweep 1217.7 (1436.7) —-> 1217.7 (1436.7) MB, 1991.2 /
0.0 ms [allocation failure] [GC in old space requested].
[2019-05-17T22:58:36.3887] 341519 ms: Mark-sweep 1217.7 (1436.7) -> 1228.8 (1420.7) MB, 2081.2 /

0.0 ms [last resort gc].

[2019-05-17T22:58:36.388%] 343555 ms: Mark-sweep 1228.8 (1420.7) —-> 1240.2 (1420.7) MB, 2035.2 /
0.0 ms [last resort gc].

[2019-05-17T22:58:36.3887]

[2019-05-17T22:58:36.3887]

[2019-05-17T22:58:36.388Z] <-—-- JS stacktrace —-——>

[2019-05-17T22:58:36.3887]

[2019-05-17T22:58:36.388%Z] ==== JS stack trace

[2019-05-17T22:58:36.3887]
[2019-05-17T22:58:36.388Z] Security context: 0xldad44b7cf781 <JS Object>

[2019-05-17T22:58:36.388%] 2: /* anonymous */ [/home/Jjenkins/workspace/katello-master—-source-r
elease/foreman/node_modules/source-map/lib/source—-node. js:~86] [pc=0x3e2656b9686f] (this=0x1022fa3
13f49 <JS Function SourceNode (SharedFunctionInfo 0x2acbe78e6931)>, mapping=0x146a343bde3l <an Obje
ct with map 0x297b51245391>)

[2019-05-17T22:58:36.3887] 3: arguments adaptor frame: 3->1

[2019-05-17T22:58:36.3887] 4: InnerArrayForEach (aka InnerArrayForEach) [native array.js...

[2019-05-17T22:58:36.3887]

[2019-05-17T22:58:36.388%Z] FATAL ERROR: CALL_AND_RETRY_LAST Allocation failed - JavaScript heap ou
t of memory

[2019-05-17T22:58:36.3887] 1: node::Abort () [node]

[2019-05-17T22:58:36.388Z] 2: 0x710f9c [node]

[2019-05-17T22:58:36.3887%] 3: v8::Utils::ReportApiFailure (char const*, char const*) [node]
[2019-05-17T22:58:36.3887] 4: v8::internal::V8::FatalProcessOutOfMemory (char const*, bool) [node]
[2019-05-17T22:58:36.388%Z] 5: v8::internal::Factory::NewUninitializedFixedArray (int) [node]
[2019-05-17T22:58:36.388Z] 6: Oxa7e48f [node]

[2019-05-17T22:58:36.3887%Z] 7: v8::internal::Runtime_GrowArrayElements (int, v8::internal::0Object**
, v8::internal::Isolate*) [node]

[2019-05-17T22:58:36.388Z] 8: 0x3e26559079a7

[2019-05-17T22:58:36.388%] rake aborted!
</pre

Associated revisions

Revision cb942a76 - 05/19/2019 11:21 AM - Tomer Brisker

Fixes #26826 - Increase js heap size for plugin asset compile

Revision 5ed76bc6 - 05/19/2019 02:49 PM - Tomer Brisker

Refs #26826 - Correctly increase js heap size

The option only works when passed to node, not webpack bin.

History

#1 - 05/19/2019 08:25 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6769 added

#2 - 05/19/2019 11:41 AM - Ohad Levy
- Target version set to 1.23.0

- Fixed in Releases 1.23.0 added

#3 - 05/19/2019 12:01 PM - Tomer Brisker
- Status changed from Ready For Testing to Closed

Applied in changeset cb942a7676212b03573dc2e9d673d5¢205f5¢f01.

#4 - 05/19/2019 02:02 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6771 added
#5 - 08/06/2019 09:27 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6952 added

#6 - 08/06/2019 06:34 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6956 added

#7 - 08/06/2019 06:55 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6957 added

#8 - 08/06/2019 08:02 PM - Anonymous
- Fixed in Releases 1.21.4, 1.22.1 added
